<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:dynattr="http://jmix.io/schema/dynattr/ui"
        caption="msg://qrtzCalendarEdit.caption"
        focusComponent="form">
    <data>
        <instance id="oauthAccessTokenDc"
                  class="com.company.management.entity.OauthAccessToken">
            <fetchPlan extends="_base"/>
            <loader/>
        </instance>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <dynattr:dynamicAttributes/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="editActions">
        <form id="form" dataContainer="oauthAccessTokenDc">
            <column width="350px">
                <textField id="authenticationField" property="authentication"/>
                <fileUpload id="authentication1Field" property="authentication1"/>
                <textField id="clientField" property="client"/>
                <textField id="refreshTokenField" property="refreshToken"/>
                <textField id="tokenField" property="token"/>
                <fileUpload id="token1Field" property="token1"/>
                <textField id="userNameField" property="userName"/>
            </column>
        </form>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
